## ros-humble-dataspeed-can-tools 2.0.4

=== debian/changelog ===
ros-humble-dataspeed-can-tools (2.0.4-1bookworm) bookworm; urgency=high

  * Added parameter declarations to DBC node
  * Handle rosbag2_storage changes in Jazzy
  * Contributors: Gabe, Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 24 Jul 2024 16:00:00 -0000

ros-humble-dataspeed-can-tools (2.0.3-1bookworm) bookworm; urgency=high

  * Migrated dataspeed_can_tools over to ROS2
  * Contributors: Gabriel Oetjens, Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 10 Jul 2023 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.1.0-1bookworm) bookworm; urgency=high

  * Add CAN-FD message support
  * Contributors: Nicholas Jankowski

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 02 Feb 2023 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.16-1bookworm) bookworm; urgency=high

  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Fix processing bags with DBC files for extended CAN IDs
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 06 Jul 2020 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.15-1bookworm) bookworm; urgency=high

  * Use %zu for portable printf() size type
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 23 Jan 2020 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.14-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 15 Jan 2020 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.13-1bookworm) bookworm; urgency=high

  * Added advance compiler error checking and fixed newly exposed errors
  * Contributors: Kevin Hallenbeck, Lincoln Lorenz

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 07 Jan 2019 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.12-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 18 Dec 2018 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.11-1bookworm) bookworm; urgency=high

  * Added support for multiple DBC files
  * Added support for multiplexed signals
  * Many changes to the command line arguments
  * Fixed bug with signals greater than 31 bits
  * Set CXX_STANDARD to C++11 when necessary
  * Contributors: Kevin Hallenbeck, Eric Myllyoja

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 05 Sep 2018 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.10-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 12 Jun 2018 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.9-1bookworm) bookworm; urgency=high

  * Preliminary support for extended IDs
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 11 Jun 2018 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.8-1bookworm) bookworm; urgency=high

  * Added timestamp
  * Added option to expand dbc signals or not
  * Handle messages not defined in the dbc file
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sun, 08 Apr 2018 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.7-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 18 Oct 2017 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.6-1bookworm) bookworm; urgency=high

  * Migrated from dataspeed_can_msgs to can_msgs (this will break dependent packages)
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 06 Sep 2017 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.5-1bookworm) bookworm; urgency=high

  * Updated nodelets to the PLUGINLIB_EXPORT_CLASS macro
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sun, 20 Aug 2017 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.4-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sun, 07 May 2017 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.3-1bookworm) bookworm; urgency=high

  * Updated package.xml format to version 2
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 24 Apr 2017 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.2-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 23 Jan 2017 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.1-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 16 Nov 2016 16:00:00 -0000

ros-humble-dataspeed-can-tools (1.0.0-1bookworm) bookworm; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 27 Sep 2016 16:00:00 -0000
