=== debian/control ===
Source: ros-humble-dataspeed-can-tools
Section: misc
Priority: optional
Maintainer: Micho Radovnikovich <mradovnikovich@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-can-msgs, ros-humble-dataspeed-can-msgs, ros-humble-rclcpp, ros-humble-rosbag2-cpp, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-humble-dataspeed-can-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-can-msgs, ros-humble-dataspeed-can-msgs, ros-humble-rclcpp, ros-humble-rosbag2-cpp, ros-humble-std-msgs, ros-humble-ros-workspace
Description: CAN bus introspection
