## ros-humble-dataspeed-can-tools 2.0.5

=== debian/changelog ===
ros-humble-dataspeed-can-tools (2.0.5-1bookworm) bookworm; urgency=high

  * Add CAN-FD messages with fixed size data arrays
  * Update DBC tools for new fixed sizes
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 07 Oct 2024 16:00:00 -0000
